Show / Hide Table of Contents

# Class XivChatEntry

This class represents a single chat log entry.

##### Inheritance

System.Object
XivChatEntry

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Text

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class XivChatEntry

### Properties

| Improve this Doc View Source

#### Message

Gets or sets the message.

##### Declaration

    public SeString Message { get; set; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Name

Gets or sets the sender name.

##### Declaration

    public SeString Name { get; set; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### Parameters

Gets or sets the message parameters.

##### Declaration

    public IntPtr Parameters { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SenderId

Gets or sets the sender ID.

##### Declaration

    public uint SenderId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Type

Gets or sets the type of entry.

##### Declaration

    public XivChatType Type { get; set; }

##### Property Value

Type | Description
--- | ---
XivChatType |